<?php
namespace VAKS\AdvancedSettings\Page;
use VAKS\Common\Utility\ObjectUtility;
use VAKS\VAKS;

class AdvancedSettingsPage
{
    public function render(array $data)
    {
        $data = ObjectUtility::toObject($data);

        if (!empty($_POST["customConfig"]))
            $this->handleForm($_POST["customConfig"]);

        $defaultConfig = json_decode(file_get_contents(VAKS_ROOT_DIR."/Common/config/config.json"));
        $customConfig = get_option(VAKS::instance()->config->get("metaKeys.customConfig"), array());

        require __DIR__ . "/template/advanced_settings.php";
    }

    private function handleForm(array $input)
    {
        check_admin_referer("vaksAdvancedSettingsForm");

        $customConfig = array();

        if (!empty($input["widgetVersion"]))
            $customConfig["widgetVersion"] = $input["widgetVersion"];

        if (!empty($input["widgetUrl"]))
            $customConfig["widgetUrl"] = $input["widgetUrl"];

        if (!empty($input["apiUrl"]))
            $customConfig["apiUrl"] = $input["apiUrl"];

        if (!empty($input["apiKey"]))
            $customConfig["apiKey"] = $input["apiKey"];

        update_option(VAKS::instance()->config->get("metaKeys.customConfig"), $customConfig);
    }
}
