<div class="wrap">
    <h1><?php _e("Allkeyshop Widget", "allkeyshop-widget") ?></h1>

    <?php require VAKS_ROOT_DIR . "/Common/Page/template/tabs.php" ?>

    <p class="vaks-page-desc">
        <b><?php _e("What is this page?", "vaks-widget") ?></b>
        <?php _e("You can tweak the variables below to have the widget fit better your usage.", "vaks-widget") ?><br>
        <?php _e("In case of doubt, leave the fields blank to use the default values.", "vaks-widget") ?>
    </p>

    <h2><?php _e("Advanced Settings", "vaks-widget") ?></h2>

    <form action="?page=allkeyshop_widget&subpage=advanced_settings" method="post">
        <table class="form-table">
            <tbody>
                <tr>
                    <th>
                        <label for="customConfig[widgetVersion]"><?php _e("API key", "allkeyshop-widget") ?></label>
                    </th>
                    <td>
                        <input
                            type="text"
                            class="regular-text"
                            id="customConfig[apiKey]"
                            name="customConfig[apiKey]"
                            <?php if (isset($customConfig["apiKey"])) { ?>
                                value="<?php echo $customConfig["apiKey"] ?>"
                            <?php } ?>
                        >
                        <p class="description">
                            <?php _e("Your API key will be automatically injected in every shortcode.", "allkeyshop-widget") ?><br>
                            <?php _e("You can override this value by adding api_key=\"custom_key\" as a shortcode parameter. If custom_key equals \"none\", there will be no API key injected.", "allkeyshop-widget") ?><br>
                        </p>
                    </td>
                </tr>
                <tr>
                    <th>
                        <label for="customConfig[widgetVersion]"><?php _e("Widget version", "allkeyshop-widget") ?></label>
                    </th>
                    <td>
                        <input
                            type="text"
                            class="regular-text"
                            id="customConfig[widgetVersion]"
                            name="customConfig[widgetVersion]"
                            placeholder="<?php echo $defaultConfig->widgetVersion ?>"
                            <?php if (isset($customConfig["widgetVersion"])) { ?>
                                value="<?php echo $customConfig["widgetVersion"] ?>"
                            <?php } ?>
                        >
                    </td>
                </tr>
                <tr>
                    <th>
                        <label for="customConfig[widgetVersion]"><?php _e("Widget root URL", "allkeyshop-widget") ?></label>
                    </th>
                    <td>
                        <input
                            type="text"
                            class="regular-text"
                            id="customConfig[widgetUrl]"
                            name="customConfig[widgetUrl]"
                            placeholder="<?php echo $defaultConfig->widgetUrl ?>"
                                <?php if (isset($customConfig["widgetUrl"])) { ?>
                                value="<?php echo $customConfig["widgetUrl"] ?>"
                            <?php } ?>
                        >
                        <p class="description"><?php _e("Use __VERSION__ as a wildcard for the version number specified above.", "allkeyshop-widget") ?></p>
                    </td>
                </tr>
                <tr>
                    <th>
                        <label for="customConfig[apiUrl]"><?php _e("API URL", "allkeyshop-widget") ?></label>
                    </th>
                    <td>
                        <input
                            type="text"
                            class="regular-text"
                            id="customConfig[apiUrl]"
                            name="customConfig[apiUrl]"
                            placeholder="<?php echo $defaultConfig->apiUrl ?>"
                                <?php if (isset($customConfig["apiUrl"])) { ?>
                                value="<?php echo $customConfig["apiUrl"] ?>"
                            <?php } ?>
                        >
                    </td>
                </tr>
                <tr>
                    <th></th>
                    <td>
                        <button class="button button-primary"><?php _e("Save Settings", "allkeyshop-widget") ?></button>
                    </td>
                </tr>
            </tbody>
        </table>

        <?php wp_nonce_field("vaksAdvancedSettingsForm") ?>
    </form>
</div>
