(function (VAKS) {

    var $ = jQuery;

    VAKS.WidgetForm = function (container)
    {
        this.$container = $(container);
        this.ui = {
            $visibleTabs: this.$container.find("[data-vaks-param^='tab']"),
            $defaultTab: this.$container.find("[data-vaks-param='defaultTab']"),
            $customPageTabSection: this.$container.find("[data-vaks-custom-page-tab-section]"),
            $openAksOnClick: this.$container.find("[data-vaks-param='openAksOnClick']"),
            $openAksInNewTab: this.$container.find("[data-vaks-param='openAksInNewTab']"),
            $theme: this.$container.find("[data-vaks-param='theme']"),
            $cssSection: this.$container.find("[data-vaks-css]"),
        };

        this.updateUI = this.updateUI.bind(this);

        this.init();
    };

    VAKS.WidgetForm.prototype = {
        init: function ()
        {
            this.ui.$visibleTabs.change(this.updateUI);
            this.ui.$visibleTabs.change(this.updateUI);
            this.ui.$openAksOnClick.change(this.updateUI);
            this.ui.$theme.change(this.updateUI);

            this.updateUI();
        },

        updateUI: function ()
        {
            this.updateDefaultTabSelect();
            this.updateCustomPageTabSection();
            this.updateOpenAksInNewTab();
            this.updateCssField();
        },

        updateDefaultTabSelect: function ()
        {
            var self = this;

            this.ui.$defaultTab.find("option").each(function () {
                var id = "tab"+ this.value[0].toUpperCase() + this.value.substr(1);
                var checkbox = self.ui.$visibleTabs.filter("[data-vaks-param='"+ id +"']:checked");

                $(this).attr("disabled", checkbox.length === 0);
            });
        },

        updateCustomPageTabSection: function ()
        {
            if (this.ui.$visibleTabs.filter("[data-vaks-param='tabCustomPage']:checked").length > 0)
                this.ui.$customPageTabSection.finish().slideDown(300);
            else
                this.ui.$customPageTabSection.finish().slideUp(300);
        },

        updateOpenAksInNewTab: function ()
        {
            this.ui.$openAksInNewTab.attr("disabled", !this.ui.$openAksOnClick.is(":checked"));
        },

        updateCssField: function ()
        {
            if (this.ui.$theme.val() === "")
                this.ui.$cssSection.finish().slideDown(300);
            else
                this.ui.$cssSection.finish().slideUp(300);
        },
    };
})(window.VAKS = window.VAKS || {});