(function (VAKS) {
    var $ = jQuery;

    VAKS.WidgetPreview = function ($container)
    {
    };

    VAKS.WidgetPreview.prototype = {
        init: function ($container)
        {
            this.$container = $container;
            this.widget = null;
            this.timer = null;
            this.delayBeforeReload = 700;
            this.lastData = null;

            this.reload = this.reload.bind(this);
            this.onResponse = this.onResponse.bind(this);
            this.reset = this.reset.bind(this);

            var self = this;

            $("[data-vaks-update-preview]").click(function (e) {
                e.preventDefault();
                self.reload(self.lastData);
            });
        },

        triggerReload: function (data)
        {
            if (!this.hasDataChanged(data))
                return ;

            if (this.timer)
                clearInterval(this.timer);

            var self = this;

            this.timer = setTimeout(function () {
                self.timer = null;
                self.reload(data);
            }, this.delayBeforeReload);
        },

        reload: function (data)
        {
            this.lastData = data;

            if (this.currentQuery)
                this.currentQuery.abort();

            var self = this;
            var xhr = new XMLHttpRequest();

            xhr.onreadystatechange = function ()
            {
                if (xhr.readyState === XMLHttpRequest.DONE)
                {   // XMLHttpRequest.DONE == 4
                    if (xhr.status === 200)
                        self.onResponse(xhr.responseText);

                    self.reset();
                }
            };

            xhr.open("GET", this.generateRequestUrl(data), true);
            xhr.send();

            this.currentQuery = xhr;
        },

        generateRequestUrl: function (data)
        {
            return "";
        },

        hasDataChanged: function (data)
        {
            return (this.lastData !== data);
        },

        onResponse: function (response)
        {
            if (this.widget)
                this.widget.destroy();

            this.$container.html(response);
            this.widget = VAKSWidgetManager.mountWidgetFromHtml(this.$container.find("[data-vaks]")[0]);
        },

        reset: function ()
        {
            this.currentQuery = null;
        }
    };
})(window.VAKS = window.VAKS || {});