<?php
namespace VAKS\Common\Extension;

use VAKS\Common\Shortcode\ShortcodeTargetFilter;
use VAKS\VAKS;

class PostTargetExtension
{
    public static function bind()
    {
        ShortcodeTargetFilter::add("post", function ($postId, $type, array $atts) {
            if ($postId === "auto")
            {
                global $post;

                if ($post && $post->ID)
                    $postId = $post->ID;
            }

            $post = get_post($postId);

            if (!$post)
                return false;

            $products = get_post_meta($postId, VAKS::instance()->config->get("metaKeys.games"), true);

            if (!$products || count($products) === 0)
                return "";

            $target = implode(",", array_column($products, "id"));

            return $target;
        });
    }
}