<?php
namespace VAKS\Common\Shortcode;

abstract class ShortcodeTargetFilter
{
    public static function add($types, callable $handler, $priority = 10)
    {
        add_filter(VAKSShortcode::FILTER_SHORTCODE_TARGET, function ($target, array $atts) use ($types, $handler) {
            return self::filter($target, $atts, $types, $handler);
        }, $priority, 2);
    }

    public static function filter($target, array $atts, $types, callable $handler)
    {
        if (!$target)
            return $target;

        $i = strpos($target, ":");

        if ($i === false)
            return $target;

        $type = substr($target, 0, $i);

        if (!is_array($types))
            $types = [$types];

        if (!in_array($type, $types))
            return $target;

        $value = substr($target, $i + 1);

        $newTarget = $handler($value, $type, $atts);

        return ($newTarget !== false)
            ? $newTarget
            : $target;
    }
}