<?php
namespace VAKS\Common\Utility;
use VAKS\ListManager\Utility\ProductList;
use VAKS\VAKS;

class ListManager
{
    private static $lists = null;

    public static function getLists()
    {
        if (self::$lists === null)
            self::$lists = get_option(self::getListMeta(), []);

        return self::$lists;
    }

    public static function getList($listSlug)
    {
        $lists = self::getLists();

        if (isset($lists[$listSlug]))
            return $lists[$listSlug];

        return null;
    }

    public static function saveLists(array $lists)
    {
        self::$lists = $lists;
        return update_option(self::getListMeta(), $lists);
    }

    public static function saveList($listSlug, ProductList $config, $oldSlug = null)
    {
        $lists = self::getLists();

        if ($oldSlug)
            unset($lists[$oldSlug]);

        $lists[$listSlug] = $config;

        return self::saveLists($lists);
    }

    public static function deleteList($listSlug)
    {
        $lists = self::getLists();
        unset($lists[$listSlug]);

        return self::saveLists($lists);
    }

    public static function getListMeta()
    {
        return VAKS::instance()->config->get("metaKeys.lists");
    }
}
