<?php
namespace VAKS\Common\Utility;
use VAKS\VAKS;

// We use this as unknown flag because we are sure no parameter could take this value
class UnknownParameter
{
}

class ParameterManager
{
    protected static $config;

    public static function getDefaultValues()
    {
        return self::mapAssoc(self::getParameters(), function ($name, $config) {
            return $config["defaultValue"];
        });
    }

    public static function sanitizeParameters(array $parameters)
    {
        return self::mapAssoc($parameters, array(self::class, "sanitizeParameter"));
    }

    public static function sanitizeParameter($name, $value)
    {
        $config = self::getParameters();

        if (!isset($config[$name]))
            return new UnknownParameter;

        $type = $config[$name]["type"];

        switch ($type)
        {
            case "boolean":
                return (int)filter_var($value, FILTER_VALIDATE_BOOLEAN);
            default:
                return $value;
        }
    }

    protected static function getParameters()
    {
        if (!self::$config)
            self::$config = VAKS::instance()->config->getAssoc("parameters");

        return self::$config;
    }

    protected static function mapAssoc(array $array, $callback)
    {
        $output = array();

        foreach ($array as $name => $config)
            $output[$name] = $callback($name, $config);

        return $output;
    }
}
