<?php
namespace VAKS\Common\Utility;
use VAKS\VAKS;

class PresetManager
{
    private static $presets = null;

    public static function getPresets()
    {
        if (self::$presets === null)
            self::$presets = get_option(self::getPresetMeta(), array());

        return self::$presets;
    }

    public static function getPreset($presetName)
    {
        $presets = self::getPresets();

        if (isset($presets[$presetName]))
            return $presets[$presetName];

        return null;
    }

    public static function savePresets(array $presets)
    {
        self::$presets = $presets;
        return update_option(self::getPresetMeta(), $presets);
    }

    public static function savePreset($presetName, array $config)
    {
        unset($config["target"]);
        unset($config["preset"]);

        $presets = self::getPresets();
        $presets[$presetName] = $config;

        return self::savePresets($presets);
    }

    public static function deletePreset($presetName)
    {
        $defaultPresetName = VAKS::instance()->config->get("defaultPresetName");

        if ($presetName === $defaultPresetName)
            return false;

        $presets = self::getPresets();
        unset($presets[$presetName]);

        return self::savePresets($presets);
    }

    public static function getPresetMeta()
    {
        return VAKS::instance()->config->get("metaKeys.presets");
    }
}
