<?php
namespace VAKS\Common\Utility;
use VAKS\ThemeManager\WordPress\GenerateThemeCSS;
use VAKS\VAKS;

class ThemeManager
{
    private static $themes = null;

    public static function getThemes()
    {
        if (self::$themes === null)
            self::$themes = get_option(self::getThemeMeta(), array());

        return self::$themes;
    }

    public static function getTheme($themeName)
    {
        $themes = self::getThemes();

        if (isset($themes[$themeName]))
            return $themes[$themeName];

        return null;
    }

    public static function saveThemes(array $themes)
    {
        self::$themes = $themes;
        return update_option(self::getThemeMeta(), $themes);
    }

    public static function saveTheme($themeName, array $config)
    {
        $themes = self::getThemes();
        $themes[$themeName] = $config;

        return self::saveThemes($themes);
    }

    public static function deleteTheme($themeName)
    {
        $themes = self::getThemes();
        unset($themes[$themeName]);

        return self::saveThemes($themes);
    }

    public static function getThemeMeta()
    {
        return VAKS::instance()->config->get("metaKeys.themes");
    }

    public static function getThemeUrl($themeName)
    {
        return GenerateThemeCSS::getThemeUrl($themeName);
    }

    public static function generateCSS(array $theme)
    {
        $css = "body{";

        foreach ($theme as $name => $value)
        {
            if (mb_strlen($value) > 0)
                $css .= "--$name: $value;";
        }

        $css .= "}";

        return $css;
    }
}
