<?php
namespace VAKS\Common\Utility;
use VAKS\VAKS;

class VAKSAPI
{
    const DEFAULT_LOCALE = "en_GB";
    const DEFAULT_CURRENCY = "eur";

    private $locale;
    private $currency;
    private $apiUrl;

    public function __construct($locale = self::DEFAULT_LOCALE, $currency = self::DEFAULT_CURRENCY)
    {
        $this->locale = $locale;
        $this->currency = $currency;
        $this->apiUrl = VAKS::instance()->config->get("apiUrl");
    }

    public function getGames($ids, $showOffers = false)
    {
        $single = !is_array($ids);

        if ($single)
            $ids = array($ids);

        $params = array(
            "action" => "products",
            "ids" => implode(",", $ids),
        );

        if ($showOffers)
            $params["showOffers"] = 1;

        $result = $this->query($params);

        return $result->products;
    }

    public function getTopClicks()
    {
        return $this->query(array(
            "action" => "topClicks"
        ))->topClicks;
    }

    public function getAllGameNames()
    {
        return $this->query(array(
            "action" => "gameNames"
        ))->games;
    }

    public function query(array $params)
    {
        $url = "{$this->apiUrl}vaks.php?";
        $params = array(
            "locale" => $this->locale,
            "currency" => $this->currency,
        ) + $params;

        foreach ($params as $key => $value)
            $url .= "$key=". urlencode($value) ."&";

        $result = json_decode(file_get_contents($url));

        return $result;
    }
}