<?php
namespace VAKS\Common\Utility;
use VAKS\VAKS;

class WidgetFormData
{
    public static function getFormData($valueCallback, $nameCallback, $idCallback)
    {
        $config = VAKS::instance()->config;
        return array(
            "availableLocales" => $config->get("locales"),
            "availableCurrencies" => $config->get("currencies"),
            "availableTabs" => $config->get("tabs"),
            "availableThemes" => array_keys(ThemeManager::getThemes()),
            "availablePresets" => array_keys(PresetManager::getPresets()),
            "offerExcludableFields" => $config->get("offerExcludableFields"),
            "form" => self::getFormFields($valueCallback, $nameCallback, $idCallback),
            "regionsModes" => $config->get("regionsModes"),
            "editionsModes" => $config->get("editionsModes"),
        );
    }

    public static function getFormFields($valueCallback, $nameCallback, $idCallback)
    {
        $fields = array();

        foreach (self::getFields() as $field)
        {
            $value = (is_callable($valueCallback))
                ? $valueCallback($field)
                : null;
            $name = (is_callable($nameCallback))
                ? $nameCallback($field)
                : null;
            $id = (is_callable($idCallback))
                ? $idCallback($field)
                : null;

            $fields[$field] = array(
                "key" => $field,
                "value" => $value,
                "name" => $name,
                "id" => $id,
            );
        }

        return $fields;
    }

    public static function getFields()
    {
        return array(
            "target",
            "width",
            "height",
            "locale",
            "currency",
            "tabs",
            "tabGameName",
            "tabOffers",
            "tabReviews",
            "tabHistory",
            "tabPriceAlert",
            "tabSimilarGames",
            "tabCustomPage",
            "offerExcludedFields",
            "offerExcludedFieldRegion",
            "offerExcludedFieldEdition",
            "defaultTab",
            "customPageUrl",
            "customPageTitle",
            "showVouchers",
            "theme",
            "css",
            "autoHeight",
            "apiKey",
            "openAksOnClick",
            "openAksInNewTab",
            "showOfficialPrice",
            "showPlatforms",
            "preset",
            "editions",
            "editionsMode",
            "regions",
            "regionsMode",
            "offersPerPage",
            "showGameCard",
            "hideWhenNoData",
            "gameNameTabUrl",
        );
    }
}
