<?php
namespace VAKS\Common\WordPress;
use VAKS\Common\Utility\ParameterManager;
use VAKS\VAKS;
use VAKS\Common\Utility\PresetManager;

class Activation
{
    public static function bind($file)
    {
        register_activation_hook($file, self::class ."::execute");
    }

    public static function execute()
    {
        $config = VAKS::instance()->config;
        $presetName = $config->get("defaultPresetName");
        $preset = PresetManager::getPreset($presetName);

        if (!$preset)
        {
            $defaultValues = ParameterManager::getDefaultValues();
            $defaultValues["locale"] = self::getSiteLocale($defaultValues["locale"]);

            PresetManager::savePreset($presetName, $defaultValues);
        }
    }

    public static function getSiteLocale($defaultLocale)
    {
        $siteLocale = get_locale();
        $availableLocales = VAKS::instance()->config->get("locales");

        if (!in_array($siteLocale, $availableLocales))
            $siteLocale = $defaultLocale;

        return $siteLocale;
    }
}