<?php
namespace VAKS\Common\WordPress\MetaBox;
use VAKS\Common\Utility\PresetManager;
use VAKS\VAKS;

class PostGame
{
    public static function bind()
    {
        add_action("add_meta_boxes", [self::class, "bindBox"]);
        add_action("admin_enqueue_scripts", [self::class, "enqueueAssets"]);
    }

    public static function bindBox()
    {
        $postTypes = ["post"];

        foreach ($postTypes as $postType)
        {
            add_meta_box(
                "vaks_game_box",
                "Allkeyshop Widget",
                [self::class, "render"],
                $postType
            );
        }
    }

    public static function enqueueAssets()
    {
        $postTypes = ["post"];
        $screen = get_current_screen();

        if (is_object($screen) && in_array($screen->post_type, $postTypes))
        {
            wp_enqueue_script("select2", "https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js", array("jquery"));
            wp_enqueue_style("select2", "https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css");
            wp_enqueue_script("vaks_metabox", VAKS_ROOT_URL ."PostScanner/Assets/js/MetaBox.js", array("jquery"));
            wp_enqueue_style("vaks_metabox", VAKS_ROOT_URL ."PostScanner/Assets/css/metabox.css");

            wp_localize_script("vaks_metabox", "VAKSTrans", array(
                "apiUrl" => VAKS::instance()->config->get("apiUrl"),
                "searchPlaceholder" => __("Type a game name...", "allkeyshop-widget"),
            ));
        }
    }

    public static function render($post)
    {
        $config = VAKS::instance()->config;
        $mode = get_post_meta($post->ID, $config->get("metaKeys.mode"), true);
        $position = get_post_meta($post->ID, $config->get("metaKeys.position"), true);
        $presets = PresetManager::getPresets();
        $preset = get_post_meta($post->ID, $config->get("metaKeys.preset"), true);
        $games = get_post_meta($post->ID, $config->get("metaKeys.games"), true);

        if (!is_array($games))
            $games = [];

        require __DIR__ . "/template/post_game.php";
    }
}