<div class="vaks-metabox">
    <input type="radio" name="vaks_widget[mode]" value="auto" id="vaks_widget_mode_auto" <?= ($mode === "auto") ? "checked" : "" ?>>
    <label for="vaks_widget_mode_auto"><?= __("Detect the game automatically", "allkeyshop-widget") ?></label>
    <br>

    <input type="radio" name="vaks_widget[mode]" value="manual" id="vaks_widget_mode_manual" <?= ($mode === "manual") ? "checked" : "" ?>>
    <label for="vaks_widget_mode_manual"><?= __("Manually specify the game", "allkeyshop-widget") ?></label>
    <br>

    <input type="radio" name="vaks_widget[mode]" value="hidden" id="vaks_widget_mode_hidden" <?= (!$mode || $mode === "hidden") ? "checked" : "" ?>>
    <label for="vaks_widget_mode_hidden"><?= __("Hide the widget", "allkeyshop-widget") ?></label>
    <br>


    <div data-vaks-show="auto">
        <br>

        <?php if ($mode === "auto") { ?>
            <?= __("Detected games:", "allkeyshop-widget") ?>
            <ol class="vaks-metabox-detected-games">
                <?php foreach ($games as $game) { ?>
                    <li><span><?= $game["name"] ?></span> (ID: <?= $game["id"] ?>)</li>
                <?php } ?>
            </ol>
        <?php } ?>
    </div>

    <div data-vaks-show="manual">
        <br>
        <b><?= __("Select the games:", "allkeyshop-widget") ?></b><br>
        <select name="vaks_widget[game_ids][]" multiple class="hidden">
            <?php foreach ($games as $game) { ?>
                <option value="<?= $game["id"] ?>" selected><?= $game["name"] ?> (ID: <?= $game["id"] ?>)<option>
            <?php } ?>
        </select>
    </div>

    <div data-vaks-show="auto,manual">
        <label for="vaks_widget_position"><b><?= __("Put the widget:", "allkeyshop-widget") ?></b></label>
        <br>
        <select name="vaks_widget[position]" id="vaks_widget_position">
            <option value="before" <?= ($position === "before") ? "selected" : "" ?>><?= __("Before the article", "allkeyshop-widget") ?></option>
            <option value="after" <?= ($position === "after") ? "selected" : "" ?>><?= __("After the article", "allkeyshop-widget") ?></option>
            <option value="none" <?= (!$position || $position === "none") ? "selected" : "" ?>><?= __("Don't automatically insert the widget", "allkeyshop-widget") ?></option>
        </select>
        <br>

        <p class="vaks-metabox-description">
            <?php printf(__("You can put the shortcode <b>%s</b> where you want in the article or in the code of your website.", "allkeyshop-widget"), "[". \VAKS\Common\Shortcode\VAKSShortcode::SHORTCODE_WIDGET ." post='auto']") ?><br>
            <?= __("It will automatically be replaced with the widget.", "allkeyshop-widget") ?>
        </p>

        <br>
        <label for="vaks_widget_preset"><b><?= __("Use the widget preset:", "allkeyshop-widget") ?></b></label>
        <br>
        <select name="vaks_widget[preset]" id="vaks_widget_preset">
            <?php foreach ($presets as $name => $config) { ?>
                <option value="<?= $name ?>" <?= ($preset === $name) ? "selected" : "" ?>><?= $name ?></option>
            <?php } ?>
        </select>
        <br>

        <p class="vaks-metabox-description">
            <?php printf(__("Widget presets allow you to customize automatically generated widgets. You can configure presets on the <a href=\"%s\" target=\"blank\">shortcode generator page</a>.", "allkeyshop-widget"), "tools.php?page=allkeyshop_widget&subpage=shortcode_generator") ?>
        </p>
    </div>
</div>