<?php
$config = \VAKS\VAKS::instance()->config;
?>

<div
    style="width: <?= $widget->width ?>; height: <?= $widget->height ?>"
    data-vaks="<?= $widget->target ?>"

    <?php if (isset($widget->id)) { ?>
        data-id="<?= htmlentities($widget->id) ?>"
    <?php } ?>

    data-locale="<?= $widget->locale ?>"
    data-currency="<?= $widget->currency ?>"
    data-default-tab="<?= $widget->defaultTab ?>"
    data-tabs="<?= $widget->tabs ?>"
    data-show-vouchers="<?= $widget->showVouchers ?>"

    <?php if (isset($widget->css)) { ?>
        data-css="<?= $widget->css ?>"
    <?php } ?>

    data-height="<?= $widget->height ?>"
    data-auto-height="<?= $widget->autoHeight ?>"
    data-open-aks-on-click="<?= (int)filter_var($widget->openAksOnClick, FILTER_VALIDATE_BOOLEAN) ?>"
    data-open-aks-in-new-tab="<?= (int)filter_var($widget->openAksInNewTab, FILTER_VALIDATE_BOOLEAN) ?>"
    data-show-official-price="<?= (int)filter_var($widget->showOfficialPrice, FILTER_VALIDATE_BOOLEAN) ?>"
    data-show-platforms="<?= (int)filter_var($widget->showPlatforms, FILTER_VALIDATE_BOOLEAN) ?>"
    data-offers-per-page="<?= $widget->offersPerPage ?>"
    data-show-game-card="<?= (int)filter_var($widget->showGameCard, FILTER_VALIDATE_BOOLEAN) ?>"

    <?php if (!empty($widget->editions)) { ?>
        data-editions="<?= $widget->editions ?>"
        data-editions-mode="<?= $widget->editionsMode ?>"
    <?php } ?>

    <?php if (!empty($widget->regions)) { ?>
        data-regions="<?= $widget->regions ?>"
        data-regions-mode="<?= $widget->regionsMode ?>"
    <?php } ?>

    <?php if (isset($widget->offerExcludedFields) && $widget->offerExcludedFields) { ?>
        data-offer-excluded-fields="<?= $widget->offerExcludedFields ?>"
    <?php } ?>

    <?php if (isset($widget->customPageTitle) && $widget->customPageTitle) { ?>
        data-custom-page-title="<?= $widget->customPageTitle ?>"
    <?php } ?>

    <?php if (isset($widget->customPageUrl) && $widget->customPageUrl) { ?>
        data-custom-page-url="<?= $widget->customPageUrl ?>"
    <?php } ?>

    <?php
    if ($widget->apiKey !== "none")
    {
        $apiKey = (!empty($widget->apiKey))
            ? $widget->apiKey
            : $config->get("apiKey");

        if ($apiKey)
        {
            ?>
            data-api-key="<?= $apiKey ?>"
            <?php
        }
    }
    ?>

    data-api-url="<?= $config->get("apiUrl") ?>"
    data-widget-url="<?= str_replace("__VERSION__", $config->get("widgetVersion"), $config->get("widgetUrl")) ?>"
    data-hide-when-no-data="<?= (int)filter_var($widget->hideWhenNoData, FILTER_VALIDATE_BOOLEAN) ?>"

    <?php if ($widget->gameNameTabUrl) { ?>
        data-game-name-tab-url="<?= htmlentities($widget->gameNameTabUrl) ?>"
    <?php } ?>
></div>
