<?php
namespace VAKS\GameFinder\Page;
use VAKS\Common\Utility\ObjectUtility;
use VAKS\Common\Utility\VAKSAPI;
use VAKS\VAKS;

class GameFinderPage
{
    public function render(array $data)
    {
        $apiUrl = VAKS::instance()->config->get("apiUrl");
        $data = ObjectUtility::toObject($data);
        $data->topClicks = (new VAKSAPI)->getTopClicks();
        $data->availableCurrencies = VAKS::instance()->config->get("currencies");

        wp_enqueue_script("vaks-game-finder", VAKS_ROOT_URL ."GameFinder/Assets/js/GameFinder.js");
        wp_localize_script("vaks-game-finder", "vaksTrans", array(
            "apiUrl" => $apiUrl,
            "keywordsTooShort" => __("Your keyword search must be at least __LENGTH__ characters long.", "allkeyshop-widget"),
            "unexpectedError" => __("An unexpected error occured", "allkeyshop-widget"),
            "noResults" => __("No results", "allkeyshop-widget"),
        ));

        require __DIR__ . "/template/game_finder.php";
    }
}
