<div class="wrap">
    <h1><?php _e("Allkeyshop Widget", "allkeyshop-widget") ?></h1>

    <?php require VAKS_ROOT_DIR . "/Common/Page/template/tabs.php" ?>

    <p class="vaks-page-desc">
        <b><?php _e("What is this page?", "vaks-widget") ?></b>
        <?php _e("You can use this page to find the ID corresponding to the game you want, in order to use it in the Allkeyshop Widget.", "vaks-widget") ?><br>
        <?php _e("Simply write the name of the game in the keywords field and wait for the results to load.", "vaks-widget") ?>
    </p>

    <div class="vaks-game-finder">
        <div class="vaks-game-finder-left-pane">
            <h2><?php _e("Find a game ID", "allkeyshop-widget") ?></h2>
            <p><?php _e("Enter the keywords about the game you want to find.", "allkeyshop-widget") ?></p>

            <form action="" method="post" id="gameFinderForm">
                <table class="form-table">
                    <tbody>
                        <tr>
                            <th>
                                <label for="vaksKeywords"><?php _e("Keywords", "allkeyshop-widget") ?></label>
                            </th>
                            <td>
                                <input type="text" name="keywords" id="vaksKeywords" class="regular-text" placeholder="<?php _e("Enter the game keywords here", "allkeyshop-widget") ?>">
                                <p class="description"><?php _e("Avoid any special characters such as \":\", \"-\", \"'\", etc.", "allkeyshop-widget") ?></p>
                            </td>
                        </tr>
                        <tr>
                            <th>
                                <label for="vaksCurrency"><?php _e("Currency", "allkeyshop-widget") ?></label>
                            </th>
                            <td>
                                <select name="currency" id="vaksCurrency">
                                    <?php foreach ($data->availableCurrencies as $currency) { ?>
                                        <option value="<?php echo $currency ?>"><?php echo $currency ?></option>
                                    <?php } ?>
                                </select>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>

            <br>

            <table class="wp-list-table widefat striped">
                <thead>
                    <tr>
                        <th colspan="2"><?php _e("Results", "allkeyshop-widget") ?></th>
                    </tr>
                    <tr>
                        <th><?php _e("Game ID", "allkeyshop-widget") ?></th>
                        <th><?php _e("Title", "allkeyshop-widget") ?></th>
                    </tr>
                </thead>

                <tbody id="gameFinderResults">
                </tbody>
            </table>
        </div>

        <div class="vaks-game-finder-right-pane">
            <h2><?php _e("Available Top Clicks", "allkeyshop-widget") ?></h2>

            <table class="wp-list-table widefat striped">
                <thead>
                    <tr>
                        <th><?php _e("Slug", "allkeyshop-widget") ?></th>
                        <th><?php _e("Title", "allkeyshop-widget") ?></th>
                    </tr>
                </thead>

                <tbody>
                    <?php foreach ($data->topClicks as $topClick) { ?>
                        <tr>
                            <td><?php echo $topClick->slug ?></td>
                            <td><?php echo $topClick->title ?></td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
