VAKSWidgetManager.onInstanceCreated.add((instance) => {

    if (typeof window[`vaksListEvolution${instance.instanceId}`] === "undefined")
        return ;

    instance.messages.on("renderListItemNames", (message, respond) => {
        const evolutions = window[`vaksListEvolution${instance.instanceId}`];

        const names = message.data.map((product) => {
            const evolution = evolutions[product.id];

            if (evolution > 0)
                return `${product.name} <span style="font-weight: bold; color: #00cc00; font-size: 19px">⭧</span>`;
            else if (evolution < 0)
                return `${product.name} <span style="font-weight: bold; color: #ff0000; font-size: 19px">⭨</span>`;
            else if (evolution === null)
                return `${product.name} <span style="color: #ff6225; font-size: 13px; position: relative; top: -4px;">new</span>`;

            return "";
        });

        respond(names);
    });
});
