jQuery(function ($) {
    new class
    {
        ui = {};
        productsData = {};

        constructor()
        {
            this.ui = {
                $list: $("[data-products]"),
                $select: $("[data-product-search]"),
                $template: $("[data-template='productRow']"),
                $form: $("[data-form]"),
            };

            this.ui.$form.submit(this.onSubmit.bind(this));

            this.ui.$list
                .sortable()
                .disableSelection();

            this.ui.$list.find("[data-remove]").click(this.onRemoveClick.bind(this));

            this.ui.$select
                .on("change.select2", this.onProductSelected.bind(this))
                .select2({
                    minimumInputLength: 3,
                    placeholder: "Add a game to the list...",
                    ajax: {
                        url: vaksTrans.apiUrl +"vaks.php",
                        delay: 700,
                        data: (params) => ({
                            action: "products",
                            currency: "eur",
                            search: params.term,
                        }),
                        processResults: (data) => {
                            data.products.forEach((product) => this.productsData[product.id] = product);

                            return {
                                results: data.products.map((product) => ({
                                    id: product.id,
                                    data: product,
                                    text: `${product.name} (ID: ${product.id})`,
                                })),
                            };
                        },
                    },
                });
        }

        onRemoveClick(e)
        {
            e.preventDefault();

            $(e.target).closest("[data-product]").remove();
        }

        onProductSelected(e)
        {
            const product = this.productsData[e.target.value];

            let template = this.ui.$template.html();

            template = template.replace(/\{\{(\w+)\}\}/g, ($0, $1) => product[$1]);

            this.ui.$list.append(template);

            $(e.target).val(null);
        }

        onSubmit(e)
        {
            this.ui.$list.find("[data-product]").each((index, item) => {
                $("<input>")
                    .attr("type", "hidden")
                    .attr("name","list[products][]")
                    .val(item.dataset["product"])
                    .appendTo(this.ui.$form);
            });
        }
    }
});