<?php
namespace VAKS\ListManager\Extension;

use VAKS\Common\Shortcode\ShortcodeTargetFilter;
use VAKS\Common\Utility\ListManager;
use VAKS\Common\Utility\WidgetAssetManager;

class ListEvolutionExtension
{
    protected static $listEvolutions = [];

    public static function bind()
    {
        ShortcodeTargetFilter::add("list", function ($listSlug, $type, array $atts) {

            if (preg_match("#^[\d,]+$#", $listSlug))
                return false;

            $list = ListManager::getList($listSlug);

            if (!$list)
                return false;

            self::$listEvolutions[$atts["id"]] = $list->evolution;

            return implode(",", $list->productIds);
        });

        add_action(WidgetAssetManager::ACTION_ENQUEUE, function (array $atts) {
            if (!isset($atts["id"], self::$listEvolutions[$atts["id"]]))
                return ;

            wp_enqueue_script("vaks_widget_list_evolution", plugins_url("../Assets/js/ListEvolution.js", __FILE__), ["vaks_widget"], false, true);
            wp_localize_script("vaks_widget_list_evolution", "vaksListEvolution$atts[id]", self::$listEvolutions[$atts["id"]]);
        });
    }
}