<style>
    .select2 {
        width: 100%!important;
    }

    .vaks-list-item {
        display: flex;
        align-items: center;
        border: 1px solid #d2d2d2;
        padding: 2px;
        cursor: move;
    }

    .vaks-list-item:hover {
        border: 1px solid #a7a6a6;
        background-color: #e1dede;
    }

        .vaks-list-item-image {
            margin-right: 10px;
            width: 78px;
            height: 38px;
        }

        .vaks-list-item-name {
            flex: 1;
        }

        .vaks-list-item-remove {
            text-decoration: none;
            color: inherit;
            font-size: 20px;
            width: 20px;
            height: 20px;
            border-radius: 10px;
            margin-right: 5px;
        }

        .vaks-list-item-remove:hover {
            background-color: #c8c8c8;
            color: inherit;
        }

            .vaks-list-item-remove::after {
                content: "×";
                position: relative;
                top: -5px;
                left: 3px;
            }
</style>

<div class="wrap">
    <h1><?= __("Allkeyshop Widget", "allkeyshop-widget") ?></h1>

    <?php require VAKS_ROOT_DIR . "Common/Page/template/tabs.php" ?>

    <p class="vaks-page-desc">
        <b><?= __("What is this page?", "allkeyshop-widget") ?></b>
        <?= __("You can manage your list of games on this page.", "vaks-widget") ?><br>
    </p>

    <br>
    <a href="<?= remove_query_arg("edit") ?>" class="page-title-action"><?= __("Return to the list", "allkeyshop-widget") ?></a>

    <form method="post" data-form>
        <table class="form-table">
            <tbody>
                <tr>
                    <th>
                        <label for="list[slug]"><?= __("List slug", "allkeyshop-widget") ?></label>
                    </th>
                    <td>
                        <input
                            type="text"
                            name="list[slug]"
                            id="list[slug]"
                            pattern="[\w-]+"
                            required
                            value="<?= htmlentities($data->list ? $data->list->slug : "") ?>"
                        >
                        <p class="description">
                            <?= __("Will be used to include the list into the widget.", "allkeyshop-widget") ?><br>
                            <?= __("Must contain only letters, numbers and the \"-\" and \"_\" characters.", "allkeyshop-widget") ?>
                        </p>
                    </td>
                </tr>

                <tr>
                    <th>
                        <label for="slug"><?= __("Games", "allkeyshop-widget") ?></label>
                    </th>
                    <td>
                        <select data-product-search></select>

                        <?php
                        function renderListItem($product)
                        {
                            ?>
                            <li class="vaks-list-item" data-product="<?= htmlentities($product ? $product->id : "{{id}}") ?>">
                                <img class="vaks-list-item-image" src="<?= htmlentities($product ? $product->thumbnailUrl : "{{thumbnailUrl}}") ?>">
                                <div class="vaks-list-item-name">
                                    <?php
                                    if ($product)
                                        echo "$product->name (ID: $product->id)";
                                    else
                                        echo "{{name}} (ID: {{id}})";
                                    ?>
                                </div>
                                <a href="#" class="vaks-list-item-remove" title="<?= __("Remove from list", "allkeyshop-widget") ?>" data-remove></a>
                            </li>
                            <?php
                        }
                        ?>

                        <script type="text/template" data-template="productRow">
                            <?php renderListItem(null) ?>
                        </script>

                        <ul data-products>
                            <?php
                            foreach ($data->products as $product)
                                renderListItem($product);
                            ?>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <th>
                        <label for="list[recomputeEvolution]"><?= __("Recompute position evolution", "allkeyshop-widget") ?></label>
                    </th>
                    <td>
                        <input
                            type="checkbox"
                            name="list[recomputeEvolution]"
                            id="list[recomputeEvolution]"
                        >
                        <p class="description">
                            <?= __("If checked, will recompute the evolution of the product positions.", "allkeyshop-widget") ?>
                        </p>
                    </td>
                </tr>

                <tr>
                    <th></th>
                    <td>
                        <button class="button button-primary"><?= __("Save list", "allkeyshop-widget") ?></button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>
