<?php
namespace VAKS\PostScanner\Ajax;
use VAKS\PostScanner\Utility\PostUpdater;

class SavePostGames
{
    public static function bind()
    {
        if (is_admin())
            add_action("wp_ajax_vaks_update_posts_games", self::class ."::execute");
    }

    public static function execute()
    {
        check_ajax_referer("vaksPostScanner");

        if (!isset($_POST["posts"]) || !is_array($_POST["posts"]))
            exit;

        foreach ($_POST["posts"] as $post)
        {
            $games = (isset($post["games"]) && is_array($post["games"]))
                ? $post["games"]
                : array();
            PostUpdater::updatePostGames($post["post"]["id"], $post["mode"], $games);
        }

        echo json_encode(array(
            "status" => "success",
        ));
        exit;
    }
}
