(function (VAKS) {
    if (!VAKS.PostScanner)
        VAKS.PostScanner = {};

    var $ = jQuery;

    VAKS.PostScanner.Form = function ()
    {
        this.$form = $("#vaksScannerForm");

        this.onFormSubmit = this.onFormSubmit.bind(this);

        this.init();
    };

    VAKS.PostScanner.Form.prototype = {
        init: function ()
        {
            this.$form.submit(this.onFormSubmit);
        },

        onFormSubmit: function (e)
        {
            e.preventDefault();

            var data = this.$form.serializeArray();
            var postTypes = this.getPostTypes(data);

            var event = new CustomEvent("vaksScannerFormSubmit", {
                detail: {
                    postTypes: postTypes,
                },
            });

            document.dispatchEvent(event);
        },

        getPostTypes: function (data)
        {
            var postTypes = [];
            var pattern = /^vaks_scanner\[postTypes\]\[(?<postType>\w+)\]$/;

            data.forEach(function (row) {
                if (pattern.test(row.name))
                {
                    var match = pattern.exec(row.name);
                    postTypes.push(match.groups.postType);
                }
            });

            return postTypes;
        },
    };
})(window.VAKS = window.VAKS || {});