(function (VAKS) {
    if (!VAKS.MetaBox)
        VAKS.MetaBox = {};

    var $ = jQuery;

    VAKS.MetaBox.PostGame = function ()
    {
        this.$radios = $("[name='vaks_widget[mode]']");
        this.$position = $("[name='vaks_widget[position]']");
        this.$tabs = $("[data-vaks-show]");

        this.mode = this.$radios.filter(":checked").val();

        this.onModeChanged = this.onModeChanged.bind(this);

        this.init();
    };

    VAKS.MetaBox.PostGame.prototype = {
        init: function ()
        {
            this.$radios.change(this.onModeChanged);

            $("[name='vaks_widget[game_ids][]']").select2({
                placeholder: VAKSTrans.searchPlaceholder,
                width: "100%",
                minimumInputLength: 3,
                multiple: true,
                ajax: {
                    delay: 300,
                    url: VAKSTrans.apiUrl +"vaks.php",
                    data: function (params) {
                        return {
                            action: "products",
                            currency: "eur",
                            search: params.term,
                            page: params.page || 0,
                        };
                    },
                    dataType: "json",
                    processResults: function (data) {
                        var items = [];

                        data.products.forEach(function (product) {
                            items.push({
                                text: `${product.name} (ID: ${product.id})`,
                                id: product.id,
                            });
                        });

                        return {
                            results: items,
                            pagination: {
                                more: (items.length > 0),
                            },
                        };
                    },
                },
            });

            this.showContents();
        },

        onModeChanged: function (e)
        {
            this.mode = e.target.value;
            this.showContents();
        },

        showContents: function ()
        {
            var self = this;

            this.$tabs.each(function () {
                var $this = $(this);
                var modes = $this.data("vaks-show").split(",");

                if (modes.indexOf(self.mode) >= 0)
                    $this.show();
                else
                    $this.hide();
            });
        },
    };
})(window.VAKS = window.VAKS || {});

jQuery(function ($) {
    new VAKS.MetaBox.PostGame();
});