(function (VAKS) {
    if (!VAKS.PostScanner)
        VAKS.PostScanner = {};

    var $ = jQuery;

    VAKS.PostScanner.Posts = function (scanner, $container, $template)
    {
        this.scanner = scanner;
        this.$container = $container;
        this.$template = $template;
        this.$message = $("[data-vaks-scanner-message]");
        this.posts = [];

        this.addPost = this.addPost.bind(this);
        this.savePosts = this.savePosts.bind(this);
        this.onPostsSaved = this.onPostsSaved.bind(this);
    };

    VAKS.PostScanner.Posts.prototype = {
        addPosts: function (posts)
        {
            posts.forEach(this.addPost);
        },

        addPost: function (postData)
        {
            var self = this;
            var deletePost = function (e) {
                e.preventDefault();
                post.remove();
                self.posts.splice(self.posts.indexOf(post), 1);
            };
            postData.mode = "manual";
            var post = new VAKS.PostScanner.Post(this.$template, postData, deletePost);
            this.posts.push(post);

            this.$container.append(post.render());
        },

        savePosts: function (e)
        {
            e.preventDefault();

            if (this.posts.length === 0)
                return this.$message.text(VAKSTrans.noPostToSave);

            this.$message.text(VAKSTrans.saving);

            $.post({
                url: ajaxurl,
                data: {
                    action: "vaks_update_posts_games",
                    posts: this.getPostsData(),
                    _wpnonce : VAKSTrans.nonce,
                },
                dataType: "json",
            })
                .then(this.onPostsSaved);
        },

        getPostsData: function ()
        {
            return this.posts.reduce(function (acc, post) {
                return acc.concat(post.data);
            }, []);
        },

        onPostsSaved: function (response)
        {
            if (response.status === "success")
            {
                this.scanner.reset();
                this.$message.text(VAKSTrans.postsSaved);
            }
            else
                this.$message.text(VAKSTrans.errorWhileSavingPosts);
        },
    };
})(window.VAKS = window.VAKS || {});