<?php
namespace VAKS\PostScanner\Page;
use VAKS\Common\Utility\ObjectUtility;
use VAKS\VAKS;

class PostScanner
{
    public function render(array $data)
    {
        // Used in the template - do not remove
        $data = ObjectUtility::toObject($data);
        $data->postTypes = array();
        $postTypes = get_post_types();

        foreach ($postTypes as $postType)
            $data->postTypes[$postType] = $this->countPostsForPostType($postType);

        arsort($data->postTypes);

        $data->selectedPostTypes = array("post");

        require __DIR__ . "/template/post_scanner.php";
    }

    public function countPostsForPostType($type)
    {
        global $wpdb;

        wp_enqueue_script("vaks-scanner-scanner", VAKS_ROOT_URL ."PostScanner/Assets/js/Scanner.js");
        wp_enqueue_script("vaks-scanner-form", VAKS_ROOT_URL ."PostScanner/Assets/js/Form.js");
        wp_enqueue_script("vaks-scanner-posts", VAKS_ROOT_URL ."PostScanner/Assets/js/Posts.js");
        wp_enqueue_script("vaks-scanner-post", VAKS_ROOT_URL ."PostScanner/Assets/js/Post.js");
        wp_enqueue_script("select2", "https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js", array("jquery"));
        wp_enqueue_style("select2", "https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css");

        wp_localize_script("vaks-scanner-post", "VAKSTrans", array(
            "apiUrl" => VAKS::instance()->config->get("apiUrl"),
            "searchPlaceholder" => __("Type a game name...", "allkeyshop-widget"),
            "noPostToSave" => __("There is no post to save.", "allkeyshop-widget"),
            "postsSaved" => __("The posts have been saved successfully.", "allkeyshop-widget"),
            "errorWhileSavingPosts" => __("An error occured while saving the posts.", "allkeyshop-widget"),
            "saving" => __("Saving...", "allkeyshop-widget"),
            "nonce" => wp_create_nonce("vaksPostScanner"),
        ));

        $modeMeta = VAKS::instance()->config->get("metaKeys.mode");

        $sql = "SELECT COUNT(*)
            FROM {$wpdb->posts} p
            WHERE
                (SELECT COUNT(*) FROM {$wpdb->postmeta} pm WHERE pm.meta_key = %s AND pm.post_id = p.ID) = 0
                AND
                p.post_type = %s";
        $query = $wpdb->prepare($sql, $modeMeta, $type);
        $count = $wpdb->get_var($query);

        return $count;
    }
}