<div class="wrap">
    <h1><?php _e("Allkeyshop Widget", "allkeyshop-widget") ?></h1>

    <?php require VAKS_ROOT_DIR . "Common/Page/template/tabs.php" ?>

    <p class="vaks-page-desc">
        <b><?php _e("What is this page?", "vaks-widget") ?></b>
        <?php _e("Here, you can let the system walk through all your posts and try to guess which game the post is about, in order to automatically show the Allkeyshop Widget on the page.", "vaks-widget") ?><br>
    </p>


    <div class="vaks-split-page">
        <div class="vaks-left-pane">
            <h2><?php _e("Post Scanner", "vaks-widget") ?></h2>

            <form action="?page=allkeyshop_widget&subpage=post_scanner" method="post" id="vaksScannerForm">
                <table class="form-table">
                    <tbody>
                    <tr>
                        <th>
                            <label for="customConfig[widgetVersion]"><?php _e("Post types", "allkeyshop-widget") ?></label>
                        </th>
                        <td>
                            <?php

                            foreach ($data->postTypes as $postType => $postCount)
                            {
                                ?>
                                <label class="vaks-post-scanner-post-type">
                                    <input type="checkbox" <?php echo (in_array($postType, $data->selectedPostTypes)) ? "checked" : "" ?> name="vaks_scanner[postTypes][<?php echo $postType ?>]">
                                    <?php echo $postType ?>
                                    (<span data-post-count="<?php echo $postType ?>"><?php echo $postCount ?></span>)
                                </label>
                                <?php
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <th></th>
                        <td>
                            <button class="button button-primary vaks-scan-submit" data-vaks-submit>
                                <span class="vaks-scan-running">
                                    <?php _e("Stop", "allkeyshop-widget") ?>
                                </span>
                                <span class="vaks-scan-stopped">
                                    <?php _e("Run Scan", "allkeyshop-widget") ?>
                                </span>
                            </button>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </form>
        </div>

        <div class="vaks-right-pane" style="flex-grow: 1">
            <h2><?php _e("Scan Results Preview", "vaks-widget") ?></h2>

            <p>This list is just a preview. You can change the games of each post before saving it.</p>

            <div class="vaks-scanner-log" id="vaksScannerLog">
                <div class="vaks-scanner-log-head">
                    <div class="vaks-scanner-log-cell"><?php _e("Status", "allkeyshop-widget") ?></div>
                    <div class="vaks-scanner-log-cell"><?php _e("Post Type", "allkeyshop-widget") ?></div>
                    <div class="vaks-scanner-log-cell"><?php _e("Post ID", "allkeyshop-widget") ?></div>
                    <div class="vaks-scanner-log-cell"><?php _e("Post title", "allkeyshop-widget") ?></div>
                    <div class="vaks-scanner-log-cell"><?php _e("Game", "allkeyshop-widget") ?></div>
                    <div class="vaks-scanner-log-cell"><?php _e("Edit", "allkeyshop-widget") ?></div>
                </div>

                <div class="vaks-scanner-log-row hide" data-log-tpl>
                    <div class="vaks-scanner-log-cell" data-tpl="status"></div>
                    <div class="vaks-scanner-log-cell" data-tpl="postType"></div>
                    <div class="vaks-scanner-log-cell" data-tpl="postId"></div>
                    <div class="vaks-scanner-log-cell">
                        <a href="" target="_blank" data-tpl="postTitle"></a>
                    </div>
                    <div class="vaks-scanner-log-cell" data-tpl="gameName"></div>
                    <div class="vaks-scanner-log-cell">
                        <a href="#" class="dashicons dashicons-edit" data-tpl="editBtn"></a>
                        <a href="#" class="dashicons dashicons-yes" data-tpl="saveBtn"></a>
                        <a href="#" class="dashicons dashicons-no" data-tpl="cancelBtn"></a>
                        <a href="#" class="dashicons dashicons-trash" data-tpl="deleteBtn"></a>
                    </div>
                </div>
            </div>

            <div data-vaks-loading class="vaks-loading hide">
                <div class="vaks-spinner"></div>
            </div>

            <br>
            <p data-vaks-scanner-message></p>
            <a href="#" class="button button-primary" data-vaks-scanner-save><?php _e("Save", "allkeyshop-widget") ?></a>
        </div>
    </div>
</div>