# Allkeyshop Widget
The Allkeyshop Widget allows you display any informations about any game on your website using the database of [Allkeyshop.com](https://www.allkeyshop.com), the most popular game price comparator.

With this widget, you can:
* List the best prices for a game and win money each time a user clicks on a price link,
* List the latest news of a game,
* List the current best selling games,
* Show a game's global and specific ratings from different popular websites,
* Show the price graph of a game,
* Allow users to be alerted by email when the price of a game drops under a certain value,
* List similar games.

For more informations, visit the [Allkeyshop Widget website](https://widget.allkeyshop.com).

This plugin provides a WordPress widget, a shortcode and tools to facilitate their use.
<br>
<br>

*Note: this plugin does not embed the Allkeyshop Widget code. It is just a wrapper that provides you with tools such as shortcodes and widgets.*

*Note: this plugin is, as the Allkeyshop Widget, in beta. A lot of changes are planned so we advice you to keep it updated.*

## How to use
### Widget
You can find the **Allkeyshop Widget** in the **Appearance** > **Widgets** menu.

The configuration of the widget is pretty straight forward. You can find the details of the parameters in the [shortcode section](#shortcodes).

### <a name="shortcodes"></a>Shortcode
This plugin provides the **allkeyshop_widget** shortcode. It takes the following parameters :

argument | default | values | description
--- | --- | --- | ---
target | none (required) | Game ID or top click slug | The product you want to display.<br>You can find a game ID or a top click slug with the [game finder](#game-finder).
width | auto | "auto" or a size in pixels | The width of the widget.<br>Values can be all CSS values for the *width* property.
width | auto | "auto" or a size in pixels | The height of the widget.<br>Values can be all CSS values for the *height* property.
locale | en_GB | en_GB, fr_FR, es_ES, de_DE, it_IT | The locale of the widget.<br>This may change the results, such as news.
currency | eur | eur, usd | The currency of the prices.<br>Some offers might be available for a currency and not for the other.<br>The behaviour of this parameter is prone to change.
tabs | all tabs visible | A combination of tab names separated by a comma | The tabs that will appear on the widget.<br>Click [here](#tabs) to see the available tabs.
default_tab | offers | Tab name | The tab that will be shown by default.
custom_page_title | none | String | The name of the custom page tab.
custom_page_url | none | URL | The URL of the custom page tab.

This plugin also provides a **shortcode generator**, so you don't have to write all the tedious stuff. You can find it in the **Allkeyshop Widget** > **Shortcode Generator** menu.

### Tabs
tab name | description
--- | ---
gameName | Shows the name of the current game. This tab has no content (i.e. you can't click on it).
offers | Lists the best prices for the current game.
reviews | Shows all ratings from different websites.
history | Shows a graph representing the evolution of the prices.
similarGames | Lists similar games.
customPage | Embed the page of your choice inside the widget.<br>For example, it can be use to show a custom description of the game.<br>A "gameId" GET variable will be appened to the URL so you render the right content according to this.
priceAlert | The form to create user alerts for when the prices goes below a certain value.

## <a name="game-finder"></A>Finding a game ID or a top click list slug
To find the ID of a game, you can use the tool in the **Allkeyshop Widget** > **Game Finder** menu.

This tool also lists all the top clicks available, along with their slugs.
