<?php
namespace VAKS\ShortcodeGenerator\Ajax;
use VAKS\Common\Utility\ParameterManager;
use VAKS\Common\Utility\PresetManager;

class PresetAjax
{
    public static function bind()
    {
        if (is_admin())
        {
            add_action("wp_ajax_vaks_preset_update", self::class . "::updatePreset");
            add_action("wp_ajax_vaks_preset_delete", self::class . "::deletePreset");
        }
    }

    public static function updatePreset()
    {
        check_ajax_referer("vaksShortcodeGen");

        if (empty($_POST["preset"]["name"]) || empty($_POST["preset"]["config"]))
            die("bad input");

        $preset = $_POST["preset"];
        $config = ParameterManager::sanitizeParameters($preset["config"]);
        PresetManager::savePreset($preset["name"], $config);

        die("ok");
    }

    public static function deletePreset()
    {
        check_ajax_referer("vaksShortcodeGen");

        if (empty($_POST["preset"]))
            die("bad input");

        PresetManager::deletePreset($_POST["preset"]);

        die("ok");
    }
}
