<?php
namespace VAKS\ThemeManager\Ajax;
use VAKS\Common\Utility\ThemeManager;
use VAKS\VAKS;

class ThemeAjax
{
    public static function bind()
    {
        if (is_admin())
        {
            add_action("wp_ajax_vaks_theme_update", self::class . "::updateTheme");
            add_action("wp_ajax_vaks_theme_delete", self::class . "::deleteTheme");
        }
    }

    public static function updateTheme()
    {
        check_ajax_referer("vaksThemeManager");

        if (empty($_POST["theme"]["name"]) || empty($_POST["theme"]["settings"]))
            die("bad input");

        $theme = $_POST["theme"];
        $variables = VAKS::instance()->config->getAssoc("themeVariables");
        $variables = array_flip(array_column($variables, "name"));
        $settings = array();

        foreach ($_POST["theme"]["settings"] as $name => $value)
        {
            if (isset($variables[$name]))
                $settings[$name] = stripslashes($value);
        }

        ThemeManager::saveTheme($theme["name"], $settings);

        die("ok");
    }

    public static function deleteTheme()
    {
        check_ajax_referer("vaksThemeManager");

        if (empty($_POST["theme"]))
            die("bad input");

        ThemeManager::deleteTheme($_POST["theme"]);

        die("ok");
    }
}
