<?php
namespace VAKS\ThemeManager\Page;
use VAKS\Common\Utility\ObjectUtility;
use VAKS\Common\Utility\ThemeManager;
use VAKS\VAKS;

class ThemeManagerPage
{
    public static function render(array $data)
    {
        \VAKS\enqueueVAKSWidgetManager();

        // Used in the template - do not remove
        $data = ObjectUtility::toObject($data);

        $rawVariables = VAKS::instance()->config->get("themeVariables");
        $variables = array();

        foreach ($rawVariables as $variable)
        {
            preg_match("#^theme-(?<category>\w+)-.+$#", $variable->name, $matches);

            if (isset($matches["category"]))
                $variables[$matches["category"]][] = $variable;
            else
                $variables["misc"][] = $variable;
        }

        $data->themeVariables = $variables;

        wp_enqueue_script("colpick", VAKS_ROOT_URL ."Common/Assets/libs/colpick/js/colpick.js");
        wp_enqueue_style("colpick", VAKS_ROOT_URL ."Common/Assets/libs/colpick/css/colpick.css");
        wp_enqueue_script("vaks-widget-preview", VAKS_ROOT_URL ."Common/Assets/js/WidgetPreview.js");
        wp_enqueue_script("vaks-theme-manager-preview", VAKS_ROOT_URL ."ThemeManager/Assets/js/ThemeManagerPreview.js");
        wp_enqueue_script("vaks-theme-manager-form", VAKS_ROOT_URL ."ThemeManager/Assets/js/ThemeManagerForm.js");
        wp_enqueue_script("vaks-theme-manager", VAKS_ROOT_URL ."ThemeManager/Assets/js/ThemeManager.js");


        wp_localize_script("vaks-theme-manager", "vaksTrans", array(
            "themes" => (object)ThemeManager::getThemes(), // We cast to object to ensure it is not serialized as a JS Array if empty
            "nonce" => wp_create_nonce("vaksThemeManager"),
            "text" => array(
                "import" => __("Import", "allkeyshop-widget"),
                "close" => __("Close", "allkeyshop-widget"),
                "pasteThemeInTextarea" => __("Paste the theme in the textarea below", "allkeyshop-widget"),
                "exportTheme" => __("Export theme", "allkeyshop-widget"),
                "copyToClipboard" => __("Copy to clipboard", "allkeyshop-widget"),
                "copied" => __("Copied!", "allkeyshop-widget"),
                "invalidTheme" => __("Invalid theme", "allkeyshop-widget"),
            ),
        ));

        require __DIR__ . "/template/theme_manager.php";
    }
}
