<?php
$renderTextField = function ($variable)
{
    $type = $variable->type;

    switch ($type)
    {
        case "color":
            $placeholder = "Color type";
            break;
        default:
            $placeholder = "";
    }

    ?>
    <p>
        <div class="d-flex align-items-center" <?php if ($type === "color") { ?>data-vaks-colorpicker="<?php echo $variable->name; } ?>">
            <label for="<?php echo $variable->name ?>">--<?php echo $variable->name ?></label>
            <?php if ($type === "color") { ?>
                <div class="vaks-color-rect" data-vaks-color-preview="<?php echo $variable->name ?>"></div>
            <?php } ?>
        </div>

        <input
            id="<?php echo $variable->name ?>"
            name="<?php echo $variable->name ?>"
            data-vaks-param="<?php echo $variable->name ?>"
            data-vaks-type="<?php echo $variable->type ?>"
            type="text"
            placeholder="<?php echo $placeholder ?>"
            class="widefat"
        >
    </p>
    <?php
};
?>

<div class="wrap">
    <h1><?php _e("Allkeyshop Widget", "allkeyshop-widget") ?></h1>

    <?php require VAKS_ROOT_DIR . "Common/Page/template/tabs.php" ?>

    <p class="vaks-page-desc">
        <b><?php _e("What is this page?", "allkeyshop-widget") ?></b>
        <?php _e("Here, you can edit the VAKS widget theme variables. These variables are CSS variables and will be included using the 'css' shortcode attribute (or 'data-css' if you use HTML).", "allkeyshop-widget") ?><br>
        <?php _e("Click on a setting's name to open the color picker.", "allkeyshop-widget") ?>
    </p>

    <div class="vaks-shortcode-generator vaks-split-page">
        <div class="vaks-left-pane" style="width: 300px">
            <h2><?php _e("Theme variables", "allkeyshop-widget") ?></h2>

            <form action="" method="post" data-theme-settings>
                <?php foreach ($data->themeVariables as $category => $variables) { ?>
                    <h4 class="vaks-widget-form-section-title"><?php _e(ucfirst($category), "allkeyshop-widget") ?></h4>

                    <div class="vaks-widget-form-section">
                        <?php foreach ($variables as $variable) { ?>
                            <?php $renderTextField($variable, $variable->name) ?>
                        <?php } ?>
                    </div>
                <?php } ?>
            </form>
        </div>

        <div class="vaks-right-pane" style="flex-grow: 1">
            <h2>
                <?php _e("Preview", "allkeyshop-widget") ?>
                <a href="#" style="margin-left: 10px" class="dashicons dashicons-update" data-vaks-update-preview></a>
            </h2>
            <div data-role="widget-preview"></div>


            <h2><?php _e("Shortcode Presets", "allkeyshop-widget") ?></h2>
            <p class="description">
                <?php _e("Widget shortcodes can become pretty verbose. You can use presets to ease its daily use.", "allkeyshop-widget") ?><br>
                <?php printf(__("To use an existing preset, write the shortcode [%s preset=\"preset_name\"].", "allkeyshop-widget"), \VAKS\Common\Shortcode\VAKSShortcode::SHORTCODE_WIDGET) ?>
            </p>
            <br>

            <div class="vaks-shortcode-presets-loading-container">
                <div id="vaksShortcodeThemeContainer" class="vaks-shortcode-presets-loading">
                    <p><?php _e("Loading...", "allkeyshop-widget") ?></p>
                </div>

                <div class="d-flex">
                    <div>
                        <label class="vaks-shortcode-preset-label"><?php _e("Saved themes:", "allkeyshop-widget") ?></label>

                        <select class="vaks-shortcode-preset-presets" data-vaks-themes></select>
                    </div>

                    <div style="margin-left: 30px;" class="vaks-shortcode-preset-actions">
                        <label class="vaks-shortcode-preset-label"><?php _e("Actions:", "allkeyshop-widget") ?></label>

                        <button class="button button-primary" data-vaks-theme-create><?php _e("Create a new theme with these settings", "allkeyshop-widget") ?></button>
                        <button class="button button-primary" data-vaks-theme-overwrite><?php _e("Overwrite this theme with current settings", "allkeyshop-widget") ?></button>
                        <button class="button" data-vaks-theme-delete><?php _e("Delete this theme", "allkeyshop-widget") ?></button>
                    </div>

                    <div style="margin-left: 30px;" class="vaks-shortcode-preset-actions">
                        <label class="vaks-shortcode-preset-label"><?php _e("Export:", "allkeyshop-widget") ?></label>

                        <button class="button button-primary" data-vaks-theme-import><?php _e("Import settings", "allkeyshop-widget") ?></button>
                        <button class="button button-primary" data-vaks-theme-export><?php _e("Export current settings", "allkeyshop-widget") ?></button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="vaks-textarea-modal" data-vaks-modal>
        <div class="vaks-textarea-modal-content">
            <h3 class="vaks-textarea-modal-content-title" data-vaks-modal-title></h3>
            <textarea class="vaks-textarea-modal-content-textarea" data-vaks-modal-textarea></textarea>

            <div class="vaks-textarea-modal-content-actions">
                <button class="button" data-vaks-modal-secondary-btn></button>
                <button class="button button-primary" data-vaks-modal-primary-btn></button>
            </div>
        </div>
    </div>
</div>
