<?php
namespace VAKS\ThemeManager\WordPress;

use VAKS\Common\Utility\ThemeManager;

class GenerateThemeCSS
{
    const ACTION_NAME = "aks_generate_theme";

    public static function bind()
    {
        // We don't use rewrite rules because some servers bypass WordPress to fetch static assets.
        add_action("admin_post_". self::ACTION_NAME, [self::class, "execute"]);
        add_action("admin_post_nopriv_". self::ACTION_NAME, [self::class, "execute"]);
    }

    public static function getThemeUrl($themeName)
    {
        return admin_url("admin-post.php?action=". self::ACTION_NAME ."&theme=$themeName");
    }

    public static function execute()
    {
        if (!isset($_GET["theme"]))
            self::throw404();

        $theme = ThemeManager::getTheme($_GET["theme"]);

        if (!$theme)
            self::throw404();

        header("Content-Type: text/css");
        echo ThemeManager::generateCSS($theme);
    }

    protected static function throw404()
    {
        global $wp_query;

        $wp_query->set_404();
        status_header(404);
        exit;
    }
}